<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\Anmeldung\DetailsDialog;

class DetailsDialogController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DetailsDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    return new DetailsDialogRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DetailsDialogPresenter($pUseCaseResponse);
  }
}